﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Documents;
using System.Windows;

namespace FcTabControl
{
    class ResourceDictionaryAccess
    {
        private static ResourceDictionary myresourcedictionary;

        static ResourceDictionaryAccess()
        {
            myresourcedictionary = new ResourceDictionary();
            myresourcedictionary.Source = new Uri("/FcTabControl;component/Resources/StyleDictionary.xaml", UriKind.Relative);
        }

        public static Style GetStyle(string StyleName)
        {
            Style styleReceived =null;
            try
            {
                styleReceived = myresourcedictionary[StyleName] as Style;
            }
            catch (Exception)
            {
                
                throw;
            }
            return styleReceived;
        }
    }
}
